Create Feedback
Creates feedback in the system based on the message and/or rating provided by a user when the user’s access token or authentication token is not available at the time of creating the feedback in the Punchh system. The user is identified using email address, phone number, or user ID, with user ID given top priority if multiple look-up parameters are passed in the API.
Phone number will work only if it is set up as a unique parameter in the Punchh platform. The option to validate the uniqueness of phone number across guests must be enabled. Contact your Punchh representative to update this Punchh platform configuration.
Headers
- Type: stringAuthorizationrequired
Bearer token for admin authorization, who is making a call on behalf of the customer. Send the API key in the following format: "Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE".
- Type: stringContent
- Type requiredSet this header to application/json.
Body
1. At least one of user_id, phone, or email is required.
2. At least one of message, rating, photo_url, or video_url is required.
- Type: numberuser
_id required - Type: stringcheckin
_id ID of the check-in for which a user provides feedback
- Type: stringemail
- Type: stringfacebook
_post _id ID of the feedback posted by a user to the user's Facebook account
- Type: stringmessage
Text feedback that a user provides
- Type: stringphone
- Type: stringphoto
_url Photo URL of the feedback that a user provides
- Type: integerFormat: int32rating
Rating that a user provides. The maximum rating is indicated in the
maximum_rating_in_feedbackresponse parameter in the Program Meta API. - Type: stringredemption
_id ID of the redemption for which a user provides feedback
- Type: booleanrepublishable
Whether the feedback message can be republished on a social media platform or not. The default value is
true, so the user must explicitly specify not to allow it. Possible values:true,false - Type: booleanrequires
_response Whether the user wants to be contacted by the business for this feedback or not. Possible values:
true,false - Type: stringvideo
_url Video URL of the feedback that a user provides
Responses
- application/json
- application/json
- application/json
- application/json
- application/json
curl https://SERVER_NAME_GOES_HERE.punchh.com/api2/dashboard/feedbacks \
--request POST \
--header 'Authorization: Bearer BUSINESS_ADMIN_KEY_GOES_HERE' \
--header 'Content-Type: application/json' \
--data '{
"message": "Good Coffee.",
"rating": 5,
"user_id": 111111,
"checkin_id": "8393395",
"redemption_id": "106819236",
"facebook_post_id": "106819236106819236",
"video_url": "VIDEO_URL_GOES_HERE",
"photo_url": "PHOTO_URL_GOES_HERE",
"republishable": false,
"requires_response": false
}'
{
"feedback_id": 267383
}